package examples.intro;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;
import java.sql.Date;
/**
 *
 * @author Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 */

public interface Emp extends EJBObject {

  public int getEmpno() throws EJBException, RemoteException;
  public String getEname() throws EJBException, RemoteException;
  public String getJob() throws EJBException, RemoteException;
  public int getMgr() throws EJBException, RemoteException;
  public java.sql.Date getHiredate() throws EJBException, RemoteException;
  public double getSal() throws EJBException, RemoteException;
  public double getComm() throws EJBException, RemoteException;
  public int getDeptno() throws EJBException, RemoteException;

  public void setEname(String newEname) throws EJBException, RemoteException;
  public void setJob(String newJob) throws EJBException, RemoteException;
  public void setMgr(int newMgr) throws EJBException, RemoteException;
  public void setHiredate(Date newHiredate) throws EJBException, RemoteException;
  public void setSal(double newSal) throws EJBException, RemoteException;
  public void setComm(double newComm) throws EJBException, RemoteException;
  public void setDeptno(int newDeptno) throws EJBException, RemoteException;

  public String htmlToPrint() throws EJBException, RemoteException;
}

